Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] thunderbird-bin
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
michael_w
Guru
Guru


Joined: 22 Feb 2006
Posts: 424
Location: 09xxx

PostPosted: Tue Apr 06, 2010 10:21 am    Post subject: [solved] thunderbird-bin Reply with quote

Hi,

ich benutze seit einige Zeit thunderbird-bin (es hat seine Gründe).
Seit heute empfange ich alle mails doppelt und verstümmelt. Ein Aufruf aus einem xterm heraus sieht so aus:
Code:

michael@gauss ~ $ thunderbird
No running windows found
/opt/thunderbird/thunderbird-bin: /usr/lib32/libstdc++.so.5: no version information available (required by /opt/thunderbird/thunderbird-bin)
/opt/thunderbird/thunderbird-bin: /usr/lib32/libstdc++.so.5: no version information available (required by /opt/thunderbird/thunderbird-bin)
/opt/thunderbird/thunderbird-bin: /usr/lib32/libstdc++.so.5: no version information available (required by /opt/thunderbird/libxpcom_core.so)
/opt/thunderbird/thunderbird-bin: /usr/lib32/libstdc++.so.5: no version information available (required by /opt/thunderbird/libxpcom_core.so)
/opt/thunderbird/thunderbird-bin: /usr/lib32/libstdc++.so.5: no version information available (required by /opt/thunderbird/libxpcom_compat.so)


Was ist da kaputt und wie kann ich es beheben?

Code:

gauss ~ # cat /etc/make.conf
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /etc/make.conf.example for a more detailed example.
CFLAGS="-march=nocona -O2 -pipe"
CXXFLAGS="${CFLAGS}"

# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"

# These are the USE flags that were used in addition to what is provided by the
# profile used for building.

MAKEOPTS="-j5"

USE="X pdf gtk qt3 qt4 alsa cdr mmx sse mmxext ssse3 sse2\
     mp3 gui gimpprint usb unicode cddb dga dvd encode iconv jpeg mp3\
     gimp isdnlog opengl png quicktime real samba truetype \
     mplayer xorg asf nvidia xvmc isdn nls dbus svg exif ogg\
     a52 aac aalib v4l v4l2 xv xvid ffmpeg sdl audiofile mad mikmod vorbis\
     syslog xscreensaver samba acpi apm lm_sensors pmu dvdread apache2 qt3support\
     kde xulrunner xcomposite -32bit cuda webkit unicode vhook x264\
     cupsddk -ppds tiff 64bit acpi php"

LINGUAS="de"
INPUT_DEVICES="keyboard mouse"
VIDEO_CARDS="vesa nvidia"

SANE_BACKENDS="canon microtek2"


GENTOO_MIRRORS="ftp://de-mirror.org/distro/gentoo/ "
#SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"

_________________
Linux ryzen 4.19.52-gentoo #2 SMP Mon Jun 24 18:31:32 CEST 2019 x86_64 AMD Ryzen 7 1800X Eight-Core Processor AuthenticAMD GNU/Linux


Last edited by michael_w on Wed Apr 07, 2010 2:14 pm; edited 1 time in total
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Tue Apr 06, 2010 10:51 am    Post subject: Reply with quote

Du hast da wohl etwas aktualisiert und jetzt stimmen die Bibliotheken nicht mehr. Probier mal revdep_rebuild. Wenn du gerade den gcc aktualisiert hast, dann musst du fix_libtool_files.sh <old-gcc-version> ausführen.
Back to top
View user's profile Send private message
michael_w
Guru
Guru


Joined: 22 Feb 2006
Posts: 424
Location: 09xxx

PostPosted: Tue Apr 06, 2010 2:02 pm    Post subject: Reply with quote

Das findet revdep-rebuild:
Code:

 * Checking dynamic linking consistency
[ 78% ]  *   broken /usr/lib64/mozilla-thunderbird/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}/platform/Linux_x86_64-gcc3/components/libenigmime.so (requires libxpcom_compat.so
libxpcom_core.so)


im übrigen findet es das auch, wenn ich keinen Thunderbird installiert habe! Danach baut es thunderbird (ohne -bin) neu und x11-plugin/enigmail. Das nützt mir aber nix, da ich TB-bin brauche. Wenn ich im Anschluss TB unmerge und TB-bin merge ist es immer noch kaputt bzw. macht Probleme. Argh.
_________________
Linux ryzen 4.19.52-gentoo #2 SMP Mon Jun 24 18:31:32 CEST 2019 x86_64 AMD Ryzen 7 1800X Eight-Core Processor AuthenticAMD GNU/Linux
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Tue Apr 06, 2010 3:02 pm    Post subject: Reply with quote

Es hakt bei dir an der libstdc++. Die wird bei der Installation des gcc angelegt. revdep-rebuild sagt dir, dass du irgendwelche Extensions installiert hast, die mit dem gcc3 erstellt wurden.

Damit die laufen, wenn du keinen gcc3 im System hast, musst du dir sys-libs/libstdc++-v3 installieren.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Tue Apr 06, 2010 3:21 pm    Post subject: Reply with quote

Das ist irgend ein 32bit/64bit-Kuddelmuddel-Problem.
Du fährst da ein 64bit-System. thunderbird-bin ist aber 32bit. Das zieht einige emul-linu-x86-Pakete nach sich.
Diese "libenigmime" ist aber in dein 64bit-libdir installiert, also nehme ich an das Ding ist 64bit! Also runter damit.
Kannst du auch mal schauen, zu welchem Paket dieses "/usr/lib32/libstdc++.so.5" gehört? Z.B. mit qfile (aus app-portage/portage-utils).
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Tue Apr 06, 2010 3:46 pm    Post subject: Reply with quote

franzf wrote:
Kannst du auch mal schauen, zu welchem Paket dieses "/usr/lib32/libstdc++.so.5" gehört? Z.B. mit qfile (aus app-portage/portage-utils).
Das kommt vom gcc.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Tue Apr 06, 2010 3:50 pm    Post subject: Reply with quote

Klaus Meier wrote:
franzf wrote:
Kannst du auch mal schauen, zu welchem Paket dieses "/usr/lib32/libstdc++.so.5" gehört? Z.B. mit qfile (aus app-portage/portage-utils).
Das kommt vom gcc.

Und wieso sollte ein 64bit-Gcc eine libstdc++ nach /usr/lib32 instalieren? Meiner macht das trotz multilib nämlich nicht...
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Tue Apr 06, 2010 4:21 pm    Post subject: Reply with quote

Wer sagt denn, dass da eine installiert ist? Es sieht für mich danach aus, als ob da eine sein sollte, aber nicht ist.

Ich habe das Gefühl, wie du ja schon festgestellt hast, dass da ein 32/64 bit Durcheinander herrscht. Also dass eine 32-Bit Anwendung eine 64-Bit Anwendung starten will oder umgekehrt. Das geht auch mit den emul-Bibliotheken nicht.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Tue Apr 06, 2010 5:02 pm    Post subject: Reply with quote

franzf wrote:
Das ist irgend ein 32bit/64bit-Kuddelmuddel-Problem.
Würde ich auch so sehen.

michael_w wrote:
im übrigen findet es das auch, wenn ich keinen Thunderbird installiert habe! Danach baut es thunderbird (ohne -bin) neu und x11-plugin/enigmail. Das nützt mir aber nix, da ich TB-bin brauche. Wenn ich im Anschluss TB unmerge und TB-bin merge ist es immer noch kaputt bzw. macht Probleme. Argh.
Ich könnte mir vorstellen dass das "x11-plugin/enigmail" das Problem ist/verursacht,
enigmail ist ja 64bit , der TB-bin 32 bit...
brauchst du enigmail den wirklich?
wenn nein, dann baue TB mit USE="-crypt"
(mit anschließenden --depclean + revdep-rebuild)
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Tue Apr 06, 2010 5:56 pm    Post subject: Reply with quote

Und dann noch Enigmail bei den Plugins deaktivieren.

Aber ansonsten muss das System weg vom thunderbird-bin hin zu thunderbird, sonst wird das immer irgendwelche Probleme machen. Ich sehe da auch in der make.conf einiges an Potential. Da steht -32bit, ist zwar nur für flash, aber bei einem multilib System muss das raus.

Keine Ahnung warum da tunderbird-bin statt thunderbird genutzt wird, aber ich habe da so das Gefühl, dass da irgend wo Probleme liegen, die genau dazu führen, dass thunderbird-bin genutzt werden muss. Aber das bekommen wir in den Griff.
Back to top
View user's profile Send private message
michael_w
Guru
Guru


Joined: 22 Feb 2006
Posts: 424
Location: 09xxx

PostPosted: Tue Apr 06, 2010 6:13 pm    Post subject: Reply with quote

Hallo,

vieles, wenn nicht gar alles was Ihr schreibt stimmt, zu den Ursachen für TB-bin hab ich hier mal was geschrieben: https://forums.gentoo.org/viewtopic-t-818509-highlight-lightning.html

Tja, zur Zeit weiss ich nicht recht weiter. Ich brauche funambol-plugin um meinen Kalender und Kontakte mit meinem Handy zu syncen. Im Moment geht es mit TB-bin, aber dort werden alle Mails verstümmelt. TB bekommt das wieder hin aber so muss ich permanent zwischen beiden wechseln. Und, ich rede immer von TB-2.x.

Würde es was helfen, wenn ich gcc wieder auf Version 3.x bringe? Funktioniert das? Offensichtlich ist das funambol-plugin mit dem gcc-3.x gebaut.
_________________
Linux ryzen 4.19.52-gentoo #2 SMP Mon Jun 24 18:31:32 CEST 2019 x86_64 AMD Ryzen 7 1800X Eight-Core Processor AuthenticAMD GNU/Linux
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Tue Apr 06, 2010 6:35 pm    Post subject: Reply with quote

Bitte nicht auf den gcc3 gehen, das ist schon ewig her. Installiere dir dafür sys-libs/libstdc++-v3 und nimm das -32bit Flag raus.
Back to top
View user's profile Send private message
michael_w
Guru
Guru


Joined: 22 Feb 2006
Posts: 424
Location: 09xxx

PostPosted: Tue Apr 06, 2010 8:18 pm    Post subject: Reply with quote

Klaus Meier wrote:
Bitte nicht auf den gcc3 gehen, das ist schon ewig her. Installiere dir dafür sys-libs/libstdc++-v3 und nimm das -32bit Flag raus.


Code:

gauss ~ # eix libstdc
[I] sys-libs/libstdc++-v3
     Available versions:  (5) 3.3.6
        {multilib nls}
     Installed versions:  3.3.6(5)(12:20:57 06.04.2010)(multilib nls)
     Homepage:            http://gcc.gnu.org/libstdc++/
     Description:         Compatibility package for running binaries linked against a pre gcc 3.4 libstdc++

wegen dem datum, ich habs heute mal versuchsweise neu gebaut, installiert isses schon ne ganze weile.
aber das flag kann ich ja mal rausnehmen, und dann?
_________________
Linux ryzen 4.19.52-gentoo #2 SMP Mon Jun 24 18:31:32 CEST 2019 x86_64 AMD Ryzen 7 1800X Eight-Core Processor AuthenticAMD GNU/Linux
Back to top
View user's profile Send private message
Klaus Meier
Advocate
Advocate


Joined: 18 Apr 2005
Posts: 2903
Location: Bozen

PostPosted: Tue Apr 06, 2010 8:23 pm    Post subject: Reply with quote

Wenn du das Flag rausgenommen hast, dann musst du ein emerge -uDN world machen. Hm, wo kommt dieses /usr/lib32/libstdc++.so.5 her? Irgendwas ist dagegen gelinkt. Steht bei dir unter /usr/lib32 eine libstdc++? Also es hat schon mal alles geklappt? Und was hast du dann so alles gemacht, als es dann nicht mehr ging? Deaktiviere auf alle Fälle mal enigmail bei den Addons.
Back to top
View user's profile Send private message
michael_w
Guru
Guru


Joined: 22 Feb 2006
Posts: 424
Location: 09xxx

PostPosted: Wed Apr 07, 2010 6:07 am    Post subject: Reply with quote

Flag ist raus, TB mal mit -crypt gebaut. Ansonsten:
Code:

gauss ~ # qfile /usr/lib32/libstdc++.so.5
sys-libs/libstdc++-v3 (/usr/lib32/libstdc++.so.5)

_________________
Linux ryzen 4.19.52-gentoo #2 SMP Mon Jun 24 18:31:32 CEST 2019 x86_64 AMD Ryzen 7 1800X Eight-Core Processor AuthenticAMD GNU/Linux
Back to top
View user's profile Send private message
michael_w
Guru
Guru


Joined: 22 Feb 2006
Posts: 424
Location: 09xxx

PostPosted: Wed Apr 07, 2010 2:14 pm    Post subject: Reply with quote

Nochmal ich. Ich hab jetzt alles was TB-2.x ist runtergeschmissen und mich ins Abenteuer TB-3.x gewagt. Es scheint alles zu laufen zumal ich auch einen relativ neuen Snapshot (64bit) von dem funambol-plugin bekommen habe.

Danke nochmals an alle.
_________________
Linux ryzen 4.19.52-gentoo #2 SMP Mon Jun 24 18:31:32 CEST 2019 x86_64 AMD Ryzen 7 1800X Eight-Core Processor AuthenticAMD GNU/Linux
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum